Heads up, our devs are blazing ahead—docs are catching up, so some features might not be fully documented yet.
For the complete documentation index, see llms.txt. This page is also available as Markdown.

Config

Config

List countries

get
/countries

List all countries.

Authorizations
AuthorizationstringRequired

Accesstoken recevied after user login with a deviceToken

Query parameters
pageNumberintegerOptional

Reference to a specific page in a result set.

pageSizeintegerOptional

The number of items per page in a result set.

sortBystringOptional

Defines which field the resource list is sorted by.

sortDirectionstring · enumOptional
ENUM Description
ASC Sort in ascending order
DESC Sort in descending order
Possible values:
Responses
200

Example response

application/json
get/countries
GET /v2/countries HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

Example response

{
  "items": [
    {
      "code": "text",
      "countryUid": "text",
      "createdAt": "2026-01-01T00:00:00.000Z",
      "currency": "text",
      "lastModifiedAt": "2026-01-01T00:00:00.000Z",
      "name": "text",
      "phonePrefix": "text",
      "languageCode": "text"
    }
  ],
  "paging": {
    "pageNumber": 1,
    "pageSize": 1,
    "totalCount": 1
  }
}

Get country details

get
/countries/{countryUid}

Get details for a country

Authorizations
AuthorizationstringRequired

Accesstoken recevied after user login with a deviceToken

Path parameters
countryUidstringRequired

Reference to a Country.

Pattern: ^[A-Za-z0-9-_]+
Responses
200

Example response

application/json
codestringRequired
countryUidstringRequiredPattern: ^[A-Za-z0-9-_]+
createdAtstring · date-timeRequired
currencystringRequired

ISO-4217 representation of currency code

lastModifiedAtstring · date-timeRequired
namestringRequired
phonePrefixstringRequired

Country phone prefix in format "+nnn"

languageCodestringRequired
get/countries/{countryUid}
GET /v2/countries/{countryUid} HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

Example response

{
  "code": "text",
  "countryUid": "text",
  "createdAt": "2026-01-01T00:00:00.000Z",
  "currency": "text",
  "lastModifiedAt": "2026-01-01T00:00:00.000Z",
  "name": "text",
  "phonePrefix": "text",
  "languageCode": "text"
}

List VAT codes

get
/vat

Get a list of current VAT codes.

Authorizations
AuthorizationstringRequired

Accesstoken recevied after user login with a deviceToken

Query parameters
vatCountryCodestringOptional

Filter by country

pageNumberintegerOptional

Reference to a specific page in a result set.

pageSizeintegerOptional

The number of items per page in a result set.

sortBystringOptional

Defines which field the resource list is sorted by.

sortDirectionstring · enumOptional
ENUM Description
ASC Sort in ascending order
DESC Sort in descending order
Possible values:
Responses
200

Example response

application/json
get/vat
GET /v2/vat HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

Example response

{
  "items": [
    {
      "createdAt": "2026-01-01T00:00:00.000Z",
      "fromDate": "2026-01-01T00:00:00.000Z",
      "lastModifiedAt": "2026-01-01T00:00:00.000Z",
      "name": "text",
      "rate": 1,
      "vatCodeUid": "text",
      "countryCode": "text"
    }
  ],
  "paging": {
    "pageNumber": 1,
    "pageSize": 1,
    "totalCount": 1
  }
}

List VAT codes for a country code

get
/countries/{countryCode}/vat

Get a list of current VAT codes for a specific country code.

Authorizations
AuthorizationstringRequired

Accesstoken recevied after user login with a deviceToken

Path parameters
countryCodestringRequired

countryCode

Query parameters
pageNumberintegerOptional

Reference to a specific page in a result set.

pageSizeintegerOptional

The number of items per page in a result set.

sortBystringOptional

Defines which field the resource list is sorted by.

sortDirectionstring · enumOptional
ENUM Description
ASC Sort in ascending order
DESC Sort in descending order
Possible values:
Responses
200

Example response

application/json
get/countries/{countryCode}/vat
GET /v2/countries/{countryCode}/vat HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

Example response

{
  "items": [
    {
      "createdAt": "2026-01-01T00:00:00.000Z",
      "fromDate": "2026-01-01T00:00:00.000Z",
      "lastModifiedAt": "2026-01-01T00:00:00.000Z",
      "name": "text",
      "rate": 1,
      "vatCodeUid": "text",
      "countryCode": "text"
    }
  ],
  "paging": {
    "pageNumber": 1,
    "pageSize": 1,
    "totalCount": 1
  }
}

List locale

get
/metadata/locale

List all available locale

Responses
200

Locale response

application/json
get/metadata/locale
GET /v2/metadata/locale HTTP/1.1
Host: api.flowretail.com
Accept: */*
200

Locale response

{
  "items": [
    {
      "locale": "text",
      "name": "text"
    }
  ]
}

List currencies

get
/metadata/currencies

List all available currencies

Responses
200

List all available currencies

application/json
get/metadata/currencies
GET /v2/metadata/currencies HTTP/1.1
Host: api.flowretail.com
Accept: */*
200

List all available currencies

{
  "items": [
    {
      "currencyCode": "text",
      "name": "text",
      "denominations": {
        "coins": [
          "text"
        ],
        "notes": [
          "text"
        ]
      }
    }
  ]
}

List labels

get
/metadata/labels

List available label formats. Label sizes are in mm.

Authorizations
AuthorizationstringRequired

Accesstoken recevied after user login with a deviceToken

Responses
200

Example response

application/json
get/metadata/labels
GET /v2/metadata/labels HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

Example response

{
  "items": [
    {
      "key": "40X50_BARCODE_NAME_SKU",
      "name": "text",
      "size": "40x50"
    }
  ]
}

Last updated

Was this helpful?